package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1212053150331_0_9968802374341256 implements fr.ifremer.isisfish.equation.PopulationMeanWeight {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.PopulationGroup group) throws Exception {if (group == null) return 0;
  switch (group.getId()) {
    case 0: return 0.3;
    case 1: return 0.55;
    case 2: return 0.84;
    case 3: return 1.16;
    case 4: return 1.49;
    case 5: return 1.81;
    case 6: return 2.11;
    case 7: return 2.4;
    case 8: return 2.66;
    case 9: return 2.89;
    case 10: return 3.1;
    case 11: return 3.29;
    case 12: return 3.45;
    case 13: return 3.6;
    case 14: return 3.72;
    case 15: return 3.83;
    case 16: return 4.32;
    default: return 0;
  }

}
}
